# MiriStudio Alpha release

This package contains the Alpha release of MiriStudio, a project management software.

## Alpha release

The alpha release provides basic features without authentication.

The authentication will be available in the next release candidate.

## MiriStudio

MiriStudio assists teams in managing software development using the following concepts :
- Iterative development, using one-month periods (goals)
- Requirement analysis, breaking down each requirement to final sub-requirements met by simple interactions
- Use case design 
- Subdividing the work into three-days tasks

# Installation

## Java

Java 11 (and later) is required. Please install a JDK if it is not installed on your machine.

JDKs can be downloaded at :
- [Oracle](https://www.oracle.com/java/technologies/downloads/)
- [OpenJDK](https://openjdk.org/projects/jdk/)
- [AdoptOpenJDK](https://adoptopenjdk.net/)

## MongoDB

MongoDB is required as a database.

The MongoDB Community version can be downloaded at [MongoDB's website](https://www.mongodb.com/try/download/community).

## Configure

Once Java and MongoDB are installed, configure MiriStudio by editing the configuration file '/config/application.properties'.

## Launching MiriStudio

In the installation directory, start the server with the Java command `java -jar miri-studio.war`.

Open your favorite browser and enter the url 'http:<server-name>:<server-port>' where :
- server-name is the ip address or the name of the machine where MiriStudio is installed
- server-port is the port defined by property 'server.port' in the file '/config/application.properties'

## A second installation

MiriStudio manage one project per installation.

To manage a second project, make a second installation.<br>
Unzip 'miri-studio-alpha.zip' in another directory.<br>
Then configure the second installation as following :
- set another server port
- set another database name 
- set the name of the second project 

# Licensing

Please consult the file 'LICENSE-MiriStudio.txt'.